package controller 
{
	import flash.events.Event;
	
	/**
	 * Holds the possible Connection Events
	 * 
	 * @author GS
	 */
	public final class ConnectionEvent extends Event 
	{
		public static const CONNECT:String = "connect";
		public static const UPDATE:String = "update";
		
		public var dragonDelta:DragonDeltaVO;
		
		public function ConnectionEvent(type:String, dragonDelta:DragonDeltaVO, bubbles:Boolean = false, cancelable:Boolean = false) 
		{
			super(type, bubbles, cancelable);
			this.dragonDelta = dragonDelta;
		}
		
	}

}