package gameobjects 
{
	import controller.CollisionController;

	import flash.display.Loader;
	import flash.display.MovieClip;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.net.URLRequest;
	
	/**
	 * Base Class for ingame Grafic Objects 
	 * 
	 * @author GS
	 */
	internal class GameObject extends Sprite //direk erben vopn loader ist einfacher, aber nicht so flexibel
	{
		private var _loader:Loader;
		protected var mc:MovieClip; 
		protected var cc:CollisionController;
		
		public function GameObject(url:String) 
		{
			this.cc = new CollisionController();
			this._loader = new Loader();
			this._loader.contentLoaderInfo.addEventListener(Event.COMPLETE, onLoadComplete);
			this._loader.load(new URLRequest(url));
		}
		
		private function onLoadComplete(e:Event):void
		{
			
			if (e.target.contentType == "application/x-shockwave-flash") 
			{
				this.mc = MovieClip(e.target.content);
			}
			else
			{
				this.mc = new MovieClip();
				this.mc.addChild(e.target.content);
			}
			this.addChild(mc);
			
			
			
			init();
			
			_loader.unload();
		}
		
		protected function init():void 
		{
			//Empty function, should be override for initialisation (Callback ist better)
			trace("Empty init by", this);
		}
		
		protected function gotoAndPlay(frame:*):void
		{
			if (this.mc) this.mc.gotoAndPlay(frame);
		}
		
		protected function gotoAndStop(frame:*):void
		{
			if (this.mc) this.mc.gotoAndStop(frame);
		}
	}

}